This Bugzilla instance is a read-only archive of historic NetBeans bug reports. To report a bug in NetBeans please follow the project's instructions for reporting issues.

Bug 166787

Summary: Typo in DTD
Product: platform Reporter: Jesse Glick <jglick>
Component: Window SystemAssignee: Stanislav Aubrecht <saubrecht>
Status: VERIFIED FIXED    
Severity: blocker CC: mentlicher, mmirilovic
Priority: P1    
Version: 6.x   
Hardware: All   
OS: All   
Issue Type: DEFECT Exception Reporter:
Bug Depends on:    
Bug Blocks: 59242    

Description Jesse Glick 2009-06-09 14:53:24 UTC
4f828389f2be for issue #59242 introduced a new DTD format with a typo: "dragable" should be "draggable":

http://en.wiktionary.org/wiki/draggable

Marking P1 since this seems to have been introduced for 6.7 so there is still time to fix it.

Two notes:

1. Introducing a new DTD or similar storage format should normally be done through an API review (fast track would have
been fine), which would offer an opportunity for reviewers to correct minor mistakes like this before it is too late.

2. http://www.netbeans.org/dtds/toolbar1_1.dtd gives a 404. You should create it. (www/www/dtds/ in CVS.)
Comment 1 Jesse Glick 2009-06-09 14:54:53 UTC
BTW noticed because of release67 #2244676d9bab.
Comment 2 Jesse Glick 2009-06-09 21:26:10 UTC
Also a2b921dedc75 in trunk BTW.
Comment 3 Stanislav Aubrecht 2009-06-10 09:10:21 UTC
fixed in core-main 89d7181b05b5
Comment 4 Stanislav Aubrecht 2009-06-10 09:58:22 UTC
forgot to change the actual DTD: core-main 7c312e2b322a
Comment 5 Stanislav Aubrecht 2009-06-10 10:01:55 UTC
marian, can QE pls verify the fix today so that i can merge it to release67? thanks
Comment 6 matusdekanek 2009-06-10 10:51:19 UTC
fixed in NetBeans IDE Dev (Build 090610), waiting for main-golden integration
Comment 7 Stanislav Aubrecht 2009-06-10 11:29:02 UTC
fixed in release67 clone

http://hg.netbeans.org/release67/rev/b2780a5e6581
Comment 8 Quality Engineering 2009-06-11 08:56:14 UTC
Integrated into 'main-golden', will be available in build *200906110201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/89d7181b05b5
User: S. Aubrecht <saubrecht@netbeans.org>
Log: #166787 - typo in DTD
Comment 9 matusdekanek 2009-06-17 11:16:00 UTC
marking verified